org.apache.ignite.ml.util.generators.standard

## Class TwoSeparableClassesDataStream

- java.lang.Object
- - org.apache.ignite.ml.util.generators.standard.TwoSeparableClassesDataStream

- All Implemented Interfaces:
    DataStreamGenerator

      public class TwoSeparableClassesDataStream
      extends Object
      implements DataStreamGenerator

  2D-Vectors data stream with two separable classes.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `FILL_CACHE_BATCH_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoSeparableClassesDataStream(double margin, double variance)` Create an instance of TwoSeparableClassesDataStream.
    `TwoSeparableClassesDataStream(double margin, double variance, long seed)` Create an instance of TwoSeparableClassesDataStream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream<LabeledVector<Double>>` | `labeled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `asDatasetBuilder, asDatasetBuilder, asDatasetBuilder, asMap, blur, fillCacheWithCustomKey, fillCacheWithVecHashAsKey, fillCacheWithVecUUIDAsKey, labeled, mapVectors, unlabeled`

- - ### Constructor Detail

    - #### TwoSeparableClassesDataStream

          public TwoSeparableClassesDataStream(double margin,
                                               double variance)

      Create an instance of TwoSeparableClassesDataStream. Note that margin can be less than zero.
      Parameters:
        `margin` - Margin.
        `variance` - Variance.

    - #### TwoSeparableClassesDataStream

          public TwoSeparableClassesDataStream(double margin,
                                               double variance,
                                               long seed)

      Create an instance of TwoSeparableClassesDataStream. Note that margin can be less than zero.
      Parameters:
        `margin` - Margin.
        `variance` - Variance.
        `seed` - Seed.

  - ### Method Detail

    - #### labeled

          public Stream<LabeledVector<Double>> labeled()

      Specified by:
        `labeled` in interface `DataStreamGenerator`
      Returns:
        Stream of `LabeledVector` in according to dataset shape.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022